Open topic with navigation

TIBCO ActiveMatrix® Service Grid - Container Edition 1.0.0

# JNDI Connection Configuration

A JNDI Connection Configuration resource template provides a JNDI connection to look up a JMS server.

General
Field | Editable? | Required? | Accepts SVars? | Description
--- | --- | --- | --- | ---
JNDI Provider | Y | Y | N | The provider to use for JNDI lookup: TIBCO EMS Progress SonicMQ IBM MQ Custom - Used for custom JNDI providers. The Initial Context Factory field is populated based on the JNDI provider selected. SSL lookup is only available for the TIBCO EMS provider. Default: TIBCO EMS
Initial Context Factory | Y | Y | Y | Initial context factory to be used for the JNDI lookup. The value for Initial Context Factory is set based on the JNDI provider selected: TIBCO EMS - The following value is populated: `com.tibco.tibjms.naming.TibjmsInitialContextFactory` Progress SonicMQ - The following value is populated: `com.sonicsw.jndi.mfcontext.MFContextFactory` IBM MQ - `com.sun.jndi.ldap.LdapCtxFactory` for the JNDI lookup in LDAP. Pair this value with the Naming Provider URL: `ldap://<ldap_url>` `com.sun.jndi.fscontext.RefFSContextFactory` for the JNDI lookup in a file system. Pair this value with the Naming Provider URL: `file:<url_ of_bindings_file>` Custom provider - Specify the custom initial context factory value. Default: `com.tibco.tibjms.naming.TibjmsInitialContextFactory`
Provider URL | Y | Y | Y | Provider URL of the JNDI server. The value for Naming Provider URL is set based on the JNDI provider selected: TIBCO EMS - `tibjmsnaming://<host>:<port>` Progress SonicMQ - `tcp://<host>:<port>` IBM MQ - `ldap://<ldap_url>` for the JNDI lookup in LDAP. Example: `ldap://mymachine.tibco.com:2076/dc=tibco,dc=com` Pair this value with the Initial Context Factory: `com.sun.jndi.ldap.LdapCtxFactory`. `file:<url_ of_bindings_file>` for the JNDI lookup in a file system. Example: `file: /D:/Program Files/IBM/fileBinding` Pair this value with the Initial Context Factory: `com.sun.jndi.fscontext.RefFSContextFactory` Custom - specify the custom provider URL. Default: `tibjmsnaming://<host>:<port>` The Naming Provider URL is validated using recommendation of the "Uniform Resource Identifiers (URI): Generic Syntax" [RFC2396] standard for the TIBCO EMS, Progress SonicMQ and IBM MQ JNDI provider.

Security
Field | Required? | Editable? | Accepts SVars? | Description
--- | --- | --- | --- | ---
Enable Authentication | N | Y | N | Enables server authentication. When selected, the authentication properties (Login Credentials, Username, and Password) are displayed. Default: Unchecked
Login Credentials | Y | Y | N | Indicates how the credentials required to authenticate to a server are provided: None Username + Password - Provide inline user name and password credentials. When selected, the Username and Password fields are activated. Identity Provider - Provide user name and password credentials encapsulated in an identity provider resource. When selected, the Identity Provider field is activated. Default: Username + Password
Username | N | Y | N | User name used to authenticate connections to the server. Default: None
Password | N | Y | N | User's password used to authenticate connections to the server. Note: If you try to update the existing encrypted password then the existing password will be removed. You can add a new password. Default: None
Identity Provider | N | Y | N | Name of the Identity Provider resource used to authenticate the user. Default: None
Enable SSL | Y | Y | N | Enables SSL connections. When selected, the SSL properties are displayed. Default: Unchecked
SSL Client Provider | Y | Y | N | The name of an SSL Client Provider resource. Default: None

Application Properties: A list of properties used for JNDI lookup.
Field | Description
--- | ---
Name | Name of the property. Default: None
Type | Type of the property. Default: String The type is one of: string, boolean, byte, short, char, int, long, float, or double.
Value | Property value. Default: Depends on value of Type. You can set a property value to a literal or a substitution variable.

Copyright © 2020-2021. TIBCO Software Inc. All Rights Reserved.